<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body" rendered="#{s:hasRole('admin_role')}">
        #{certificateAuthorityCreator.init()}
        <s:decorate template="/layout/form/_form_page.xhtml">

            <h2>#{messages['net.ihe.gazelle.atna.CreateACertificateAuthority']}</h2>

            <h:form id="createCAForm">
                <!--<s:token id="createCAToken"/>-->
                <p>#{messages['net.ihe.gazelle.atna.TheGeneratedCertificateAuthorityWillBeSelfsigned']}
                    <h:outputLink value="#{certificateAuthorityCreator.getRequestWithoutCSRLink()}"
                                  title="#{messages['net.ihe.gazelle.atna.RequestACertificateWithoutCSR']}">#{messages['net.ihe.gazelle.atna.Here']}
                    </h:outputLink>
                    #{messages['net.ihe.gazelle.atna.AndSelectCAAsCertifiateType']}
                </p>
                <s:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.CADetails']}</ui:define>

                    <div class="form-horizontal">

                        <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                            <ui:param name="id" value="keySizeInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.KeySize']}</ui:define>
                            <h:selectOneMenu id="keySizeInput" value="#{certificateAuthorityCreator.keySize}" styleClass="form-control gzl-select-text">
                                <f:selectItems value="#{certificateAuthorityCreator.getKeySizes()}"/>
                            </h:selectOneMenu>
                        </s:decorate>

                        <ui:include src="/certificate/subjectform.xhtml">
                            <ui:param name="subjectBean" value="#{certificateAuthorityCreator}"/>
                            <ui:param name="displaySubjectAlternativeNameInput" value="#{false}"/>
                        </ui:include>

                    </div>

                    <ui:define name="panel_footer">
                        <em class="pull-right">* #{messages['net.ihe.gazelle.atna.Required']}</em>
                        <a4j:commandButton styleClass="gzl-btn-blue"
                                           action="#{certificateAuthorityCreator.createCA()}"
                                           value="#{messages['net.ihe.gazelle.atna.Request']}"
                                           render="createCAForm"/>
                    </ui:define>

                </s:decorate>

            </h:form>

        </s:decorate>

    </ui:define>
</ui:composition>
